# $Revision: 1.9 $, $Date: 2002/08/10 23:21:34 $
Summary:	DVD menu support library
Summary(pl):	Biblioteka obsugi menu DVD
Name:		libdvdnav
Version:	0.1.3
Release:	1
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/dvd/%{name}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
URL:		http://dvd.sourceforge.net/

%description
DVD menu support library.

%description -l pl
Biblioteka obsugi menu DVD.

%package devel
Summary:	Development files for libdvdnav
Summary(pl):	Pliki potrzebne przy tworzeniu aplikacji korzystajcych z libdvdnav
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Development files for libdvdnav.

%description devel -l pl
Pliki potrzebne przy tworzeniu aplikacji korzystajcych z libdvdnav.

%package static
Summary:	Static libdvdnav library
Summary(pl):	Biblioteka statyczna libdvdnav
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libdvdnav library.

%description static -l pl
Biblioteka statyczna libdvdnav.

%prep
%setup -q

%build
rm -f missing
libtoolize --copy --force
aclocal
autoheader
%{__autoconf}
%{__automake}
%configure \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/dvdnav

%files static
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libdvdnav.spec,v $
Revision 1.9  2002/08/10 23:21:34  marcus
- updated to 0.1.3

Revision 1.8  2002/06/23 15:06:20  jajcus
- fixed (back) automake invocation

Revision 1.7  2002/06/23 12:51:48  jajcus
- Version: 0.1.1

Revision 1.6  2002/05/21 23:13:44  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.5  2002/05/07 14:13:50  qboosh
- typo

Revision 1.4  2002/05/02 09:46:29  mkochano
- Removed commented out %%patch0 -p1.

Revision 1.3  2002/05/02 01:54:53  kloczek
- finished.

Revision 1.2  2002/05/01 23:01:33  mkochano
- Release 2.
- Corrected -devel subpackage requirement.

Revision 1.1  2002/05/01 22:58:07  mkochano
- Release 1.
- Version 0.1.
- Initial spec based on template.
